// 
// WeatherPi Solar System
//
// SwitchDoc Labs - 04/01/15
//
//
// WeatherPi Top 1.0
//


include <write.scad>
include <joints.scad>

include <WeatherPiASCover.scad>





module WeatherPiMountRamp()
{
//	translate([-5,3,3])
//	rotate(90,[0,1,0])
//	cylinder(20,3,3,[0,0]);

    difference()
    {
        union()
        {
            
        translate([92-5+30,0-2,0])
        #maleHinge();
        
        translate([46-5+30,0-2,0])
        #maleHinge();
        
        translate([0-5+30,0-2,0])
        #maleHinge();

            
  /*      translate([-5,0,3])
        rotate(90,[0,1,0])
        cylinder(150,3,3,[0,0]);
*/
        cube([140,200,3]);
        }
        
        // screw holes for solar panels
        translate([61.5,20,-5])   
        #cylinder(h=10,r=1.5,$fs=6);
        
        translate([61.5+17,20,-5])   
        #cylinder(h=10,r=1.5,$fs=6);
        
        	// Slot for Stand


        translate([68.5, 120,-10])
        rotate(90,[0,0,1])
        #cube([22,3,50]);

    }

 
}

module maleHinge()
{
    	translate([0,0,0]) joint_male(male_joint_width=3, male_joint_thickness=3, male_joint_height=10, side=true);
    
}
    
    
    
module femaleHinge()
{
	//	A female connector, with a range of movement of 30 degrees forward and 90 degrees backward, and a clearance edge of 3mm
	translate([24,0,10/2]) 
		{
		difference()
			{
			cube([6,6,10], center=true); 
			translate([0,0,2]) 
				joint_male_negative(male_joint_width=3, male_joint_thickness=3, forward_rom=30, 
					backward_rom=90, clearance_edge=3, male_joint_height=10);
			}
		}
	}

module WeatherPiRampHook()
{

difference()
    {
    union()
    {
    /*    #translate([0,11.5,2])
        cube([125,5,6]);

        #translate([0,0,2])
        cube([125,13,3]);


        #translate([0,0,2])
        #cube([125,5,10]);

        // nib
        #translate([0,1.8,10.5])
        cube([125,6,2]);
        */
    
        // plate with holes for screws
    
        translate([-10,-8.25,0])
        #cube([145,33,3]);
        
        // print ears to keep warping down
        
        translate([-12,-12, 0])
        #cylinder(h=1, r=20.0);
        
       translate([-12,28, 0])
        #cylinder(h=1, r=20.0);
        
       translate([138,-12, 0])
        #cylinder(h=1, r=20.0);
        
       translate([138 ,28, 0])
        #cylinder(h=1, r=20.0);
        
        translate([145,-60,0])
        #cube([20,150,1]);
        
        // hinges
        
        translate([92-5,8,0])
        #femaleHinge();
        
        translate([46-5,8,0])
        #femaleHinge();
        
        translate([0-5,8,0])
        #femaleHinge();
    
    }
      // screw holes for solar panels
        translate([130,20,-5])   
        #cylinder(h=10,r=2.0,$fs=6);
        
        translate([-5,20,-5])   
        #cylinder(h=10,r=2.0,$fs=6);
    
         // screw holes for solar panels
        translate([130,-3,-5])   
        #cylinder(h=10,r=2.0,$fs=6);
        
        translate([-5,-3,-5])   
        #cylinder(h=10,r=2.0,$fs=6);
    
      // take a little off the outside block

    
 //       #translate([0,11.5,6.5])
 //       cube([125,2.5,6]);
       
    }
}

module WeatherPiTop()
{

	difference()
	{	

		// base 
		union()
		{
			difference()
			{		


			}



			// Solar Ramp Hook
			translate([-70,0,0])
			WeatherPiRampHook();

/*				#translate([0,-10,20])
			rotate(0,[0,0,1])
			write("040115-001",h=2,t=2,center=true);
			
            translate([2,-50,20])
			scale([3,3,1])
			write("WeatherPi",h=2,t=2,center=true);
			
		#translate([-37,-65,20])
		scale([0.125,0.125,1])
		linear_extrude(height = 2)
		import("SWDLogoscad.dxf");
            */
		//import("SunAirLogoTransparentX.dxf");

	
		} // main union	

	







	} // main difference


	


		
}










translate([0,0,0])

WeatherPiTop();

rotate(45,[1,0,0])
translate ([-70,50,0])
rotate(0,[0,0,1])
WeatherPiMountRamp();
//    
 //   translate ([-78,100,0])
 //   rotate(90,[0,0,0])
//    #cube([150,200,10]);

translate([0,-140,0])
rotate(90,[0,0,1])
OutdoorCover();

